﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.MXBackgroundThread
{
    public class ApiResult
    {
        /// <summary>
        /// 处理结果 200成功
        /// </summary>
        public int code { get; set; }
        /// <summary>
        /// 处理消息
        /// </summary>
        public string message { get; set; }

    }

    public class ApiResult<T> : ApiResult
    {

        /// <summary>
        /// 数据
        /// </summary>
        public T data { get; set; }
    }


    public class ApiResultMsg
    {
        /// <summary>
        /// 处理结果 200成功
        /// </summary>
        public int code { get; set; }
        /// <summary>
        /// 处理消息
        /// </summary>
        public string msg { get; set; }

    }

    public class ApiResultMsg<T> : ApiResultMsg
    {

        /// <summary>
        /// 数据
        /// </summary>
        public T data { get; set; }
    }
}
