﻿using System.Collections.Generic;

namespace WCS.Model
{
    public class SysOutOrderByMatSnRequest : RequestBase
    {
        /// <summary>
        /// 单据编号
        /// </summary>
        public string OrderNumber { get; set; }
        /// <summary>
        /// 单据来源
        /// </summary>
        public string OrderSource { get; set; }
        /// <summary>
        /// 单据类型
        /// </summary>
        public string OrderType { get; set; }

        /// <summary>
        /// 是否是盟讯公司盘点生成的出库单
        /// </summary>
        public bool IsMXPD { get; set; } = false;

        public List<string> SnList { get; set; }
    }
}
