﻿using Ping9719.WpfEx;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Text.RegularExpressions;
using 货架标准上位机.ViewModel;

namespace 货架标准上位机
{
    public partial class MXPDView : UserControlBase
    {
        public static MXPDViewModel viewModel { get; set; } = new MXPDViewModel();
        public MXPDView()
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {
            try
            {
                DataGrid datagrid = sender as DataGrid;
                datagrid.UnselectAllCells();
            }
            catch
            {
            }
        }

        private void TextBlock_MouseDown(object sender, MouseButtonEventArgs e)
        {
            viewModel.RefreshOutOrderList(viewModel.SelectedOutOrderNumber);
        }
        private void ListView_PreviewMouseWheel(object sender, MouseWheelEventArgs e)
        {
            if (!e.Handled)
            {
                e.Handled = true;
                // 激发一个鼠标滚轮事件，冒泡给外层ListView接收到
                var eventArg = new MouseWheelEventArgs(e.MouseDevice, e.Timestamp, e.Delta);
                eventArg.RoutedEvent = UIElement.MouseWheelEvent;
                eventArg.Source = sender;
                var parent = ((Control)sender).Parent as UIElement;
                parent.RaiseEvent(eventArg);
            }
        }
    }
}
