﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.MXBackgroundThread
{
    public class RecommendedBarCodeRequest
    {
        public string pickBillNumber { get; set; }
        public string warehouseCode { get; set; } = string.Empty;
        public int warehouseType { get; set; } = 10;

    }

    public class FistPushRecommendedBarCodeRequest : RecommendedBarCodeRequest
    {
        public string reportSide { get; set; } = null;
    }

    public class RecommendedBarCodeResponse
    {
        /// <summary>
        /// 
        /// </summary>
        public int code { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string message { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<PickOrderDetailGetReturnList> data { get; set; }
    }

    public class PickOrderDetailGetReturnList
    {
        public bool IsInstore { get; set; }
        public int id { get; set; }
        public string materialBar { get; set; }
        public string materialId { get; set; }
        public string materialCode { get; set; }
        public string materialName { get; set; }
        public string materialSpec { get; set; }
        public string unitOfMeasure { get; set; }
        public string batchNo { get; set; }
        public double qty { get; set; }
        public string warehouseId { get; set; }
        public string warehouseCode { get; set; }
        public string warehouseName { get; set; }
        public string shelfCode { get; set; }
        public string shelfX { get; set; }
        public string shelfY { get; set; }
        public string shelfZ { get; set; }
        public string inUser { get; set; }
        public string inTime { get; set; }
        public string outUser { get; set; }
        public string outTime { get; set; }
        public string createdBy { get; set; }
        public string createdDt { get; set; }
        public string updatedBy { get; set; }
        public string updatedDt { get; set; }
    }
}
