﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.MatInventoryDetail
{
    public class MatInventoryDetailModel
    {
        public int Id { get; set; }

        #region 库位属性
        public int StoreId { get; set; }
        public string StoreCode { get; set; }
        //public StoreInfo StoreInfo { get; set; }
        #endregion

        #region 物料属性
        public string MatSN { get; set; }
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string MatSpec { get; set; }
        public string MatBatch { get; set; }
        public int MatQty { get; set; }
        public string? MatSupplier { get; set; }
        public string? MatCustomer { get; set; }
        #endregion

        public DateTime InstoreTime { get; set; } = DateTime.Now;
        public string InstoreUser { get; set; }
        public bool IsLocked { get; set; }

        public string IsLockedStr
        {
            get
            {
                return IsLocked ? "是" : "否";
            }
        }
        public int RowNumber { get; set; }
        public bool IsSelected { get; set; }
    }
}
