﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.OutStore
{
    public class OutOrderMatDetailModel
    {
        public int Id { get; set; }

        public int OrderId { get; set; }

        public string OrderNumber { get; set; }

        public int OutOrderDetailId { get; set; }

        public int InventoryDetailId { get; set; }

        #region 库位属性
        public int StoreId { get; set; }

        public string StoreCode { get; set; }


        #endregion

        #region 物料属性
        public string MatSN { get; set; }
        public string MatCode { get; set; }
        public string MatName { get; set; }

        public string MatSpec { get; set; }

        public string MatBatch { get; set; }

        public int MatQty { get; set; }

        public string? MatSupplier { get; set; }

        public string? MatCustomer { get; set; }
        #endregion

        public bool IsSended { get; set; }

        public string IsSendedStr
        {
            get
            {
                return IsSended ? "是" : "否";
            }
        }

        public DateTime CreateTime { get; set; }

        public string CreateUser { get; set; }

        public int RowNumber { get; set; }
    }
}
