﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.Stocktaking
{
    public class StockTakingOrderMatDetailModel
    {
        public int Id { get; set; }
        public int StocktakingOrderId { get; set; }
        public string StocktakingOrderNumber { get; set; }
        public int StoreId { get; set; }
        public string StoreCode { get; set; }

        #region 库存属性
        public int InventoryDetailId { get; set; }
        public string MatSN { get; set; }
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string MatSpec { get; set; }
        public string MatBatch { get; set; }
        public int MatQty { get; set; }
        public string? MatSupplier { get; set; }
        public string? MatCustomer { get; set; }
        #endregion

        public bool IsStocktaking { get; set; }
        public int StocktakingQty { get; set; }
        public DateTime UpdateTime { get; set; }
        public string UpdateUser { get; set; }

        public int RowNumber { get; set; }
    }
}
