﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace WCS.Model.ApiModel.StoreInfo
{
    public class ModuleInfoModel : INotifyPropertyChanged
    {
        public int Id { get; set; }

        public string ModuleCode { get; set; }
        public int ShelfId { get; set; }

        public string ShelfCode { get; set; }

        public int BoardId { get; set; }

        public int LightCount { get; set; }

        public string CleintIp { get; set; }

        public string R { get; set; }

        public string C { get; set; }

        public string? BigShelfCode { get; set; }

        public bool IsEnable { get; set; }

        //public Mode CurrentMode { get; set; } = Mode.待机模式;
        public int RowNumber { get; set; }

        public bool IsSelected
        {
            get { return isSelected; }
            set
            {
                isSelected = value;
                OnPropertyChanged(nameof(IsSelected));
            }
        }
        public bool isSelected;

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
