﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace WCS.Model.ApiModel.StoreInfo
{
    public class StoreInfoModel : INotifyPropertyChanged
    {
        public int Id { get; set; }
        public string StoreCode { get; set; }
        public int ModuleId { get; set; }
        public string ModuleCode { get; set; }
        public int ShelfId { get; set; }
        public string ShelfCode { get; set; }
        public int BoardId { get; set; }
        public int LightNumber { get; set; }
        public int Priority { get; set; }
        public string CurrentMatSn { get; set; }
        public decimal CurrentVoltage { get; set; }
        public decimal StandardVoltage { get; set; }
        public decimal OffsetVoltage { get; set; }
        public int RowNumber { get; set; }
        public bool IsSelected
        {
            get { return isSelected; }
            set
            {
                isSelected = value;
                OnPropertyChanged(nameof(IsSelected));
            }
        }
        public bool isSelected;

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
