﻿
using HandyControl.Controls;
using HandyControl.Data;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Media;
using System.Runtime.CompilerServices;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using 货架标准上位机.ViewModels;

namespace 货架标准上位机
{
    public partial class OutInventoryAddDucumentView : HandyControl.Controls.Window
    {
        public OutInventoryAddDucumentViewModel viewModel = new OutInventoryAddDucumentViewModel();
        public OutInventoryAddDucumentView()
        {
            InitializeComponent();
            this.DataContext = viewModel;

            viewModel.TrueClose += OnTrueClose;
            viewModel.FalseClose += OnFalseClose;
        }

        private void closeClick(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {

        }

        private void txtMatQty1_PreviewTextInput(object sender, TextCompositionEventArgs e)
        {
            if (!Regex.IsMatch(e.Text, "^[0-9]"))
            {
                e.Handled = true;
            }
        }

        private void OnTrueClose()
        {
            this.DialogResult = true;
            this.Close();
        }

        private void OnFalseClose()
        {
            this.DialogResult = false;
            this.Close();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            viewModel.InitShelfTypeItems();
        }
    }
}
